xcb_xkb_per_client_flags(3)

NAME
xcb_xkb_per_client_flags -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_xkb_per_client_flags_cookie_t xcb_xkb_per_client_flags(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint32_t change, uint32_t value, uint32_t ctrlsToChange, uint32_t autoCtrls, uint32_t autoCtrlsValues);

  Reply datastructure

typedef struct xcb_xkb_per_client_flags_reply_t {
    uint8_t  response_type;
    uint8_t  deviceID;
    uint16_t sequence;
    uint32_t length;
    uint32_t supported;
    uint32_t value;
    uint32_t autoCtrls;
    uint32_t autoCtrlsValues;
    uint8_t  pad0[8];
} xcb_xkb_per_client_flags_reply_t;

  Reply function

xcb_xkb_per_client_flags_reply_t *xcb_xkb_per_client_flags_reply(xcb_connection_t *conn, xcb_xkb_per_client_flags_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

change
    TODO: NOT YET DOCUMENTED.

value
    TODO: NOT YET DOCUMENTED.

ctrlsToChange
    TODO: NOT YET DOCUMENTED.

autoCtrls
    TODO: NOT YET DOCUMENTED.

autoCtrlsValues
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XKB_PER_CLIENT_FLAGS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

deviceID
    TODO: NOT YET DOCUMENTED.

supported
    TODO: NOT YET DOCUMENTED.

value
    TODO: NOT YET DOCUMENTED.

autoCtrls
    TODO: NOT YET DOCUMENTED.

autoCtrlsValues
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xkb_per_client_flags_cookie_t. Errors have to be handled when calling the reply function xcb_xkb_per_client_flags_reply. If you want to handle errors in the event loop instead, use xcb_xkb_per_client_flags_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.